# Interface StringToHtmlReplacement

interface StringToHtmlReplacement {
compiled_expression: RegExp;
expression: string;
flags: string;
template: string;
}

- Defined in src/options.js:210

#####
Index

### Properties

compiled_expression
expression
flags
template

## Properties

### compiled_expression

compiled_expression: RegExp

Internal: the compiled regular expression.

- Defined in src/options.js:213

### expression

expression: string

The regexp expression that must match to do the replacement.

- Defined in src/options.js:211

### flags

flags: string

The regexp flags.

- Defined in src/options.js:212

### template

template: string

The template to use to create a new value as replacement if the regex matches.

- Defined in src/options.js:214

Generated using TypeDoc